<?php

interface Trainingssystem_Plugin_Database_Calendar_Entry_Dao {
    public function updating();
    public function getEntriesByMonth($calendarId, $year, $month, $userId = 0);
    public function insertEntry($calendarId, $date, $userId = 0, $formId = null, $formFieldId = 0, $formDataId = null);
    public function deleteEntriesByCalendar($calendarId);
    public function deleteEntryById($entryId);
}


